Get image
curl --request GET \
--url https://rawugc.com/api/v1/images/{imageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://rawugc.com/api/v1/images/{imageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rawugc.com/api/v1/images/{imageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rawugc.com/api/v1/images/{imageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rawugc.com/api/v1/images/{imageId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rawugc.com/api/v1/images/{imageId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rawugc.com/api/v1/images/{imageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"imageId": "<string>",
"status": "pending",
"model": "<string>",
"prompt": "<string>",
"url": "<string>",
"imageSize": "<string>",
"resolution": "<string>",
"outputFormat": "<string>",
"creditsUsed": 123,
"createdAt": 123,
"completedAt": 123,
"failCode": "<string>",
"failMessage": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Image Generation
Get image
Get an image by ID. Returns full details including status, model, URL (when completed), and generation parameters.
GET
/
images
/
{imageId}
Get image
curl --request GET \
--url https://rawugc.com/api/v1/images/{imageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://rawugc.com/api/v1/images/{imageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rawugc.com/api/v1/images/{imageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://rawugc.com/api/v1/images/{imageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://rawugc.com/api/v1/images/{imageId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://rawugc.com/api/v1/images/{imageId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://rawugc.com/api/v1/images/{imageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"imageId": "<string>",
"status": "pending",
"model": "<string>",
"prompt": "<string>",
"url": "<string>",
"imageSize": "<string>",
"resolution": "<string>",
"outputFormat": "<string>",
"creditsUsed": 123,
"createdAt": 123,
"completedAt": 123,
"failCode": "<string>",
"failMessage": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Authorizations
Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY
Path Parameters
Image identifier (img_xxx format)
Response
Image generation task status
Unique image identifier (img_xxx format)
Current generation status
Available options:
pending, processing, completed, failed Image model used
Text prompt used for generation
URL to download the generated image (available when status is 'completed')
Aspect ratio used
Output resolution (nano-banana-2 only)
Output image format
Credits deducted for this generation
Timestamp when generation was initiated
Timestamp when generation completed (if finished)
Error code if generation failed
Error message if generation failed
Was this page helpful?

